package code;

import java.nio.*;
import javax.swing.*;
import static com.jogamp.opengl.GL4.*;
import com.jogamp.opengl.*;
import com.jogamp.opengl.awt.GLCanvas;
import com.jogamp.common.nio.Buffers;

public class Code extends JFrame implements GLEventListener
{	private GLCanvas myCanvas;

	public Code()
	{	setTitle("Chapter2 - program1");
		setSize(600,400);
		setLocation(200,200);
		GLProfile glp = GLProfile.getMaxProgrammableCore(true);
		GLCapabilities caps = new GLCapabilities(glp);
		myCanvas = new GLCanvas(caps);
		myCanvas.addGLEventListener(this);
		getContentPane().add(myCanvas);
		setVisible(true);
	}

	public void display(GLAutoDrawable drawable)
	{	GL4 gl = (GL4) GLContext.getCurrentGL();

		float bkg[] = { 1.0f, 1.0f, 0.0f, 1.0f };
		FloatBuffer bkgBuffer = Buffers.newDirectFloatBuffer(bkg);
		
		gl.glClearBufferfv(GL_COLOR, 0, bkgBuffer);
		System.out.println("display");
	}

	public static void main(String[] args)
	{ new Code();
	}

	public void init(GLAutoDrawable drawable) {
	System.out.println("init");}
	public void reshape(GLAutoDrawable drawable, int x, int y, int width, int height) 
	{System.out.println("reshape" + x + " " + y);}
	public void dispose(GLAutoDrawable drawable) {System.out.println("dispose");}
}